﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Web.UI.WebControls.WebParts;
using MVP.View;
using Microsoft.SharePoint.WebControls;
using Model;
using Presenter;

namespace MVP.WebParts.MVP_WebPart
{
    [ToolboxItemAttribute(false)]
    public class MVP_WebPart : WebPart, IListItemsView
    {
        private ListItemsPresenter _presenter;
        protected SPGridView _gridView;

        protected override void OnLoad(EventArgs e)
        {
            _presenter = new ListItemsPresenter(this);
            EnsureChildControls();
            base.OnLoad(e);
        }

        protected override void CreateChildControls()
        {
            _gridView = new SPGridView();
            _gridView.AutoGenerateColumns = false;

            SPBoundField fldTitle = new SPBoundField();
            fldTitle.HeaderText = "Title";
            fldTitle.DataField = "Title";
            _gridView.Columns.Add(fldTitle);

            SPBoundField fldUrl = new SPBoundField();
            fldUrl.HeaderText = "Url";
            fldUrl.DataField = "Url";
            _gridView.Columns.Add(fldUrl);

            Controls.Add(_gridView);

            _presenter.LoadListItems("\\lists\\testlist");
        }

        public IEnumerable<ListItemDataContract> Parts { get; set; }

        public string ErrorMessage { get; set; }
        
        public void LoadData()
        {
            _gridView.DataSource = Parts;
            _gridView.DataBind();
        }
    }
}
