﻿using System.Collections.Generic;
using System.Linq;
using MVP.View;
using Model;
using ObjectModel;

namespace Presenter
{
    public class ListItemsPresenter
    {
        private IListItemsView view;

        public ListItemsPresenter(IListItemsView view)
        {
            this.view = view;
        }

        public void LoadListItems(string url)
        {
            IEnumerable<ListItemDataContract> parts = ListItemsHelper.GetListItemData(url);
            if (parts != null && parts.Any())
            {
                view.Parts = parts;
            }
            else
            {
                view.ErrorMessage = "No items found";
            }
            view.LoadData();
        }
    }
}
